<cfinclude template="config.cfm">

<!--- verifica se upload est atribuido para "true" --->
<cfif not config.enabled>
	<cfset errorNumber = "1">
		<cfoutput>
			<script type="text/javascript">
				window.parent.OnUploadCompleted(#errorNumber#,"","","O upload est desabilitado. Verifique o arquivo /filemanager/upload/cfm/config.cfm");
			</script>
		</cfoutput>
	<cfabort>
</cfif>

<cfscript>

	// transforma para variveis locais as definies presentes no config.cfm
	
	userFilesPath = config.userFilesPath;
	lAllowedExtensions = config.allowedExtensions[url.type];
	lDeniedExtensions = config.deniedExtensions[url.type];
	
	// make sure the user files path is correctly formatted
	userFilesPath = replace(userFilesPath, "\", "/", "ALL");
	userFilesPath = replace(userFilesPath, '//', '/', 'ALL');
	if ( right(userFilesPath,1) neq "/" ) {
		userFilesPath = userFilesPath & "/";
	}
	if ( left(userFilesPath,1) neq "/" ) {
		userFilesPath = "/" & userFilesPath;
	}
	
	// Get the base physical path to the web root for this application. The code to determine the path automatically assumes that
	// the "FCKeditor" directory in the http request path is directly off the web root for the application and that it's not a 
	// virtual directory or a symbolic link / junction. Use the serverPath config setting to force a physical path if necessary.
	if ( len(config.serverPath) ) {
		serverPath = config.serverPath;
	} else {
		serverPath = replaceNoCase(getBaseTemplatePath(),replace(cgi.script_name,"/",fs,"all"),"");
	}
	if ( right(serverPath,1) neq fs ) {
		serverPath = serverPath & fs;
	}
			
	// map the user files path to a physical directory
	userFilesServerPath = serverPath & replace(userFilesPath,"/",fs,"all");
</cfscript>

<cftry>

	<!--- primeiro faz o upload propriamente dito --->
	<cffile action="upload"
	fileField="NewFile"
	destination="#userFilesServerPath#"
	nameConflict="makeunique"
	mode="644"
	attributes="normal">
		
	
			<cfoutput>
				<script type="text/javascript">
					window.parent.OnUploadCompleted(0,"#userFilesPath##cffile.serverFile#","#cffile.serverFile#","");
				</script>
			</cfoutput>

<cfcatch type="any">
		<cfoutput>
			<script type="text/javascript">
				window.parent.OnUploadCompleted(1,"","","Ocorreu um problema ao fazer o upload do arquivo");
			</script>
		</cfoutput>
	</cfcatch>
</cftry>

			



